Module java.desktop
Package javax.swing.plaf.metal

# Class MetalBorders.PaletteBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.PaletteBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.PaletteBorder extends AbstractBorder implements UIResource
Border for a Palette.

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`PaletteBorder()`
Constructs a `PaletteBorder`.

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PaletteBorder

public PaletteBorder()
Constructs a `PaletteBorder`.